Bug 368316 - Kontact crashes often after minutes of running
Summary: Kontact crashes often after minutes of running
Status: RESOLVED WORKSFORME
Alias: None
Product: akregator
Classification: Applications
Component: general (show other bugs)
Version: 5.2.3
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2016-09-06 08:27 UTC by ra.be.baerlin
Modified: 2021-01-16 04:34 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (15.56 KB, text/plain)
2016-11-22 23:17 UTC, Andrei Slavoiu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ra.be.baerlin 2016-09-06 08:27:27 UTC
Application: kontact (5.2.3)

Qt Version: 5.6.1
Frameworks Version: 5.25.0
Operating System: Linux 4.7.2-201.fc24.x86_64 x86_64
Distribution: "Fedora release 24 (Twenty Four)"

-- Information about the crash:
- What I was doing when the application crashed:

Since the beginning of the month Kontact crashes often after minutes of running.

Kontact is called from the autostart feature of KDE during login procedure.

The crashes are repetitiv.

When switching to a newly arrived message in KMail Kontact crashes. This happens sometimes when switching between messages in different folders (no matter wether backup or other provider).

It happend the other day twice during writting mails. (There where just two mails to write late in the evening the night before.)

Kontact is running on a Fedora 24 x64. Installed from the repository packages

The crash can be reproduced every time.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
84	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7fa8a56cb940 (LWP 2583))]

Thread 29 (Thread 0x7fa7bb7fe700 (LWP 3907)):
#0  0x00007fa8a1e803ed in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fa89b05aa06 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7fa7ac002c20, timeout=<optimized out>, context=0x7fa7ac000990) at gmain.c:4135
#2  g_main_context_iterate (context=context@entry=0x7fa7ac000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
#3  0x00007fa89b05ab1c in g_main_context_iteration (context=0x7fa7ac000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007fa8a2c9424b in QEventDispatcherGlib::processEvents (this=0x7fa7ac0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007fa8a2c435ea in QEventLoop::exec (this=this@entry=0x7fa7bb7fdc80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fa8a2aa2343 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#7  0x00007fa8a2aa699a in QThreadPrivate::start (arg=0x560c230885f0) at thread/qthread_unix.cpp:341
#8  0x00007fa89c2985ca in start_thread (arg=0x7fa7bb7fe700) at pthread_create.c:333
#9  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 28 (Thread 0x7fa7bbfff700 (LWP 3904)):
#0  g_main_context_prepare (context=context@entry=0x7fa7b4000990, priority=priority@entry=0x7fa7bbffeb40) at gmain.c:3445
#1  0x00007fa89b05a92b in g_main_context_iterate (context=context@entry=0x7fa7b4000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3820
#2  0x00007fa89b05ab1c in g_main_context_iteration (context=0x7fa7b4000990, may_block=may_block@entry=1) at gmain.c:3901
#3  0x00007fa8a2c9424b in QEventDispatcherGlib::processEvents (this=0x7fa7b40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#4  0x00007fa8a2c435ea in QEventLoop::exec (this=this@entry=0x7fa7bbffec80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fa8a2aa2343 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#6  0x00007fa8a2aa699a in QThreadPrivate::start (arg=0x560c2305f9d0) at thread/qthread_unix.cpp:341
#7  0x00007fa89c2985ca in start_thread (arg=0x7fa7bbfff700) at pthread_create.c:333
#8  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 27 (Thread 0x7fa7d8ff9700 (LWP 3813)):
#0  g_mutex_unlock (mutex=0x7fa7c0000990) at gthread-posix.c:1347
#1  0x00007fa89b05a419 in g_main_context_check (context=context@entry=0x7fa7c0000990, max_priority=2147483647, fds=fds@entry=0x7fa7c0003020, n_fds=n_fds@entry=1) at gmain.c:3679
#2  0x00007fa89b05a9a4 in g_main_context_iterate (context=context@entry=0x7fa7c0000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3837
#3  0x00007fa89b05ab1c in g_main_context_iteration (context=0x7fa7c0000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007fa8a2c9424b in QEventDispatcherGlib::processEvents (this=0x7fa7c00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007fa8a2c435ea in QEventLoop::exec (this=this@entry=0x7fa7d8ff8c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fa8a2aa2343 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#7  0x00007fa8a2aa699a in QThreadPrivate::start (arg=0x560c228a6c10) at thread/qthread_unix.cpp:341
#8  0x00007fa89c2985ca in start_thread (arg=0x7fa7d8ff9700) at pthread_create.c:333
#9  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 26 (Thread 0x7fa7d97fa700 (LWP 3811)):
#0  0x00007fa8a2a9f5c9 in std::__atomic_base<QMutexData*>::compare_exchange_strong (__m2=<optimized out>, __m1=std::memory_order_acquire, __p2=<optimized out>, __p1=@0x7fa7d97f9a38: 0x0, this=0x560c22b1b128) at /usr/include/c++/6.1.1/bits/atomic_base.h:752
#1  std::atomic<QMutexData*>::compare_exchange_strong (__m=std::memory_order_acquire, __p2=<optimized out>, __p1=@0x7fa7d97f9a38: 0x0, this=0x560c22b1b128) at /usr/include/c++/6.1.1/atomic:475
#2  QAtomicOps<QMutexData*>::testAndSetAcquire<QMutexData*> (currentValue=<synthetic pointer>, newValue=<optimized out>, expectedValue=0x0, _q_value=...) at ../../src/corelib/arch/qatomic_cxx11.h:158
#3  QBasicAtomicPointer<QMutexData>::testAndSetAcquire (currentValue=<synthetic pointer>, newValue=<optimized out>, expectedValue=0x0, this=0x560c22b1b128) at ../../src/corelib/thread/qbasicatomic.h:276
#4  QBasicMutex::fastTryLock (current=<synthetic pointer>, this=0x560c22b1b128) at thread/qmutex.h:82
#5  QMutex::lock (this=this@entry=0x560c22b1b128) at thread/qmutex.cpp:219
#6  0x00007fa8a2c93fcf in QMutexLocker::QMutexLocker (m=0x560c22b1b128, this=<synthetic pointer>) at ../../src/corelib/thread/qmutex.h:128
#7  QThreadData::canWaitLocked (this=0x560c22b1b100) at ../../src/corelib/thread/qthread_p.h:246
#8  postEventSourcePrepare (s=0x7fa7bc0012d0, timeout=0x7fa7d97f9a74) at kernel/qeventdispatcher_glib.cpp:253
#9  0x00007fa89b05a421 in g_main_context_check (context=context@entry=0x7fa7bc000990, max_priority=2147483647, fds=fds@entry=0x7fa7bc002c20, n_fds=n_fds@entry=1) at gmain.c:3681
#10 0x00007fa89b05a9a4 in g_main_context_iterate (context=context@entry=0x7fa7bc000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3837
#11 0x00007fa89b05ab1c in g_main_context_iteration (context=0x7fa7bc000990, may_block=may_block@entry=1) at gmain.c:3901
#12 0x00007fa8a2c9424b in QEventDispatcherGlib::processEvents (this=0x7fa7bc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#13 0x00007fa8a2c435ea in QEventLoop::exec (this=this@entry=0x7fa7d97f9c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#14 0x00007fa8a2aa2343 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#15 0x00007fa8a2aa699a in QThreadPrivate::start (arg=0x560c22b0cc50) at thread/qthread_unix.cpp:341
#16 0x00007fa89c2985ca in start_thread (arg=0x7fa7d97fa700) at pthread_create.c:333
#17 0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 25 (Thread 0x7fa7d9ffb700 (LWP 3809)):
#0  0x00007fa8a1e7c04d in read () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fa89b09d660 in read (__nbytes=16, __buf=0x7fa7d9ffaa70, __fd=<optimized out>) at /usr/include/bits/unistd.h:44
#2  g_wakeup_acknowledge (wakeup=0x7fa7c40027b0) at gwakeup.c:210
#3  0x00007fa89b05a4d6 in g_main_context_check (context=context@entry=0x7fa7c8000990, max_priority=2147483647, fds=fds@entry=0x7fa7c8003220, n_fds=n_fds@entry=1) at gmain.c:3632
#4  0x00007fa89b05a9a4 in g_main_context_iterate (context=context@entry=0x7fa7c8000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3837
#5  0x00007fa89b05ab1c in g_main_context_iteration (context=0x7fa7c8000990, may_block=may_block@entry=1) at gmain.c:3901
#6  0x00007fa8a2c9424b in QEventDispatcherGlib::processEvents (this=0x7fa7c80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#7  0x00007fa8a2c435ea in QEventLoop::exec (this=this@entry=0x7fa7d9ffac80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#8  0x00007fa8a2aa2343 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#9  0x00007fa8a2aa699a in QThreadPrivate::start (arg=0x560c229fbf40) at thread/qthread_unix.cpp:341
#10 0x00007fa89c2985ca in start_thread (arg=0x7fa7d9ffb700) at pthread_create.c:333
#11 0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 24 (Thread 0x7fa7da7fc700 (LWP 3807)):
#0  0x00007ffe5e1cb979 in ?? ()
#1  0x00007ffe5e1cbc51 in clock_gettime ()
#2  0x00007fa8a1e9a4e6 in __GI___clock_gettime (clock_id=1, tp=tp@entry=0x7fa7da7fb9d0) at ../sysdeps/unix/clock_gettime.c:115
#3  0x00007fa8a2b42ab3 in qt_clock_gettime (ts=0x7fa7da7fb9d0, clock=<optimized out>) at tools/qelapsedtimer_unix.cpp:105
#4  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at tools/qelapsedtimer_unix.cpp:156
#5  qt_gettime () at tools/qelapsedtimer_unix.cpp:165
#6  0x00007fa8a2c92869 in QTimerInfoList::updateCurrentTime (this=this@entry=0x7fa7c40030d0) at kernel/qtimerinfo_unix.cpp:84
#7  0x00007fa8a2c92c65 in QTimerInfoList::timerWait (this=0x7fa7c40030d0, tm=...) at kernel/qtimerinfo_unix.cpp:381
#8  0x00007fa8a2c93dac in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7fa7da7fbab4) at kernel/qeventdispatcher_glib.cpp:126
#9  0x00007fa8a2c93e75 in timerSourcePrepare (source=<optimized out>, timeout=timeout@entry=0x7fa7da7fbab4) at kernel/qeventdispatcher_glib.cpp:159
#10 0x00007fa89b059f59 in g_main_context_prepare (context=context@entry=0x7fa7c4000990, priority=priority@entry=0x7fa7da7fbb40) at gmain.c:3442
#11 0x00007fa89b05a92b in g_main_context_iterate (context=context@entry=0x7fa7c4000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3820
#12 0x00007fa89b05ab1c in g_main_context_iteration (context=0x7fa7c4000990, may_block=may_block@entry=1) at gmain.c:3901
#13 0x00007fa8a2c9424b in QEventDispatcherGlib::processEvents (this=0x7fa7c40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#14 0x00007fa8a2c435ea in QEventLoop::exec (this=this@entry=0x7fa7da7fbc80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#15 0x00007fa8a2aa2343 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#16 0x00007fa8a2aa699a in QThreadPrivate::start (arg=0x560c21c666e0) at thread/qthread_unix.cpp:341
#17 0x00007fa89c2985ca in start_thread (arg=0x7fa7da7fc700) at pthread_create.c:333
#18 0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 23 (Thread 0x7fa7daffd700 (LWP 3805)):
#0  0x00007fa8a1e7c04d in read () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fa89b09d660 in read (__nbytes=16, __buf=0x7fa7daffca70, __fd=<optimized out>) at /usr/include/bits/unistd.h:44
#2  g_wakeup_acknowledge (wakeup=0x7fa7d0001e00) at gwakeup.c:210
#3  0x00007fa89b05a4d6 in g_main_context_check (context=context@entry=0x7fa7d0000990, max_priority=2147483647, fds=fds@entry=0x7fa7d0002a20, n_fds=n_fds@entry=1) at gmain.c:3632
#4  0x00007fa89b05a9a4 in g_main_context_iterate (context=context@entry=0x7fa7d0000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3837
#5  0x00007fa89b05ab1c in g_main_context_iteration (context=0x7fa7d0000990, may_block=may_block@entry=1) at gmain.c:3901
#6  0x00007fa8a2c9424b in QEventDispatcherGlib::processEvents (this=0x7fa7d00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#7  0x00007fa8a2c435ea in QEventLoop::exec (this=this@entry=0x7fa7daffcc80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#8  0x00007fa8a2aa2343 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#9  0x00007fa8a2aa699a in QThreadPrivate::start (arg=0x560c22a1a0f0) at thread/qthread_unix.cpp:341
#10 0x00007fa89c2985ca in start_thread (arg=0x7fa7daffd700) at pthread_create.c:333
#11 0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 22 (Thread 0x7fa7db7fe700 (LWP 3803)):
#0  g_mutex_unlock (mutex=0x7fa7cc000990) at gthread-posix.c:1347
#1  0x00007fa89b05a419 in g_main_context_check (context=context@entry=0x7fa7cc000990, max_priority=2147483647, fds=fds@entry=0x7fa7cc003eb0, n_fds=n_fds@entry=1) at gmain.c:3679
#2  0x00007fa89b05a9a4 in g_main_context_iterate (context=context@entry=0x7fa7cc000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3837
#3  0x00007fa89b05ab1c in g_main_context_iteration (context=0x7fa7cc000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007fa8a2c9424b in QEventDispatcherGlib::processEvents (this=0x7fa7cc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007fa8a2c435ea in QEventLoop::exec (this=this@entry=0x7fa7db7fdc80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fa8a2aa2343 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#7  0x00007fa8a2aa699a in QThreadPrivate::start (arg=0x560c22957ca0) at thread/qthread_unix.cpp:341
#8  0x00007fa89c2985ca in start_thread (arg=0x7fa7db7fe700) at pthread_create.c:333
#9  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 21 (Thread 0x7fa7dbfff700 (LWP 3798)):
#0  g_mutex_unlock (mutex=0x7fa7d4000990) at gthread-posix.c:1347
#1  0x00007fa89b059f4c in g_main_context_prepare (context=context@entry=0x7fa7d4000990, priority=priority@entry=0x7fa7dbffeb40) at gmain.c:3440
#2  0x00007fa89b05a92b in g_main_context_iterate (context=context@entry=0x7fa7d4000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3820
#3  0x00007fa89b05ab1c in g_main_context_iteration (context=0x7fa7d4000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007fa8a2c9424b in QEventDispatcherGlib::processEvents (this=0x7fa7d40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007fa8a2c435ea in QEventLoop::exec (this=this@entry=0x7fa7dbffec80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fa8a2aa2343 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#7  0x00007fa8a2aa699a in QThreadPrivate::start (arg=0x560c227b4690) at thread/qthread_unix.cpp:341
#8  0x00007fa89c2985ca in start_thread (arg=0x7fa7dbfff700) at pthread_create.c:333
#9  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 20 (Thread 0x7fa7f4e1a700 (LWP 3795)):
#0  0x00007fa8a1e7c04d in read () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fa89b09d660 in read (__nbytes=16, __buf=0x7fa7f4e19a70, __fd=<optimized out>) at /usr/include/bits/unistd.h:44
#2  g_wakeup_acknowledge (wakeup=0x7fa7dc002330) at gwakeup.c:210
#3  0x00007fa89b05a4d6 in g_main_context_check (context=context@entry=0x7fa7e0000990, max_priority=2147483647, fds=fds@entry=0x7fa7e0003220, n_fds=n_fds@entry=1) at gmain.c:3632
#4  0x00007fa89b05a9a4 in g_main_context_iterate (context=context@entry=0x7fa7e0000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3837
#5  0x00007fa89b05ab1c in g_main_context_iteration (context=0x7fa7e0000990, may_block=may_block@entry=1) at gmain.c:3901
#6  0x00007fa8a2c9424b in QEventDispatcherGlib::processEvents (this=0x7fa7e00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#7  0x00007fa8a2c435ea in QEventLoop::exec (this=this@entry=0x7fa7f4e19c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#8  0x00007fa8a2aa2343 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#9  0x00007fa8a2aa699a in QThreadPrivate::start (arg=0x560c21d6ce30) at thread/qthread_unix.cpp:341
#10 0x00007fa89c2985ca in start_thread (arg=0x7fa7f4e1a700) at pthread_create.c:333
#11 0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 19 (Thread 0x7fa7f561b700 (LWP 3791)):
#0  0x00007fa89b09ea09 in g_mutex_lock (mutex=mutex@entry=0x7fa7dc000990) at gthread-posix.c:1335
#1  0x00007fa89b059e37 in g_main_context_prepare (context=context@entry=0x7fa7dc000990, priority=priority@entry=0x7fa7f561ab40) at gmain.c:3382
#2  0x00007fa89b05a92b in g_main_context_iterate (context=context@entry=0x7fa7dc000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3820
#3  0x00007fa89b05ab1c in g_main_context_iteration (context=0x7fa7dc000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007fa8a2c9424b in QEventDispatcherGlib::processEvents (this=0x7fa7dc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007fa8a2c435ea in QEventLoop::exec (this=this@entry=0x7fa7f561ac80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fa8a2aa2343 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#7  0x00007fa8a2aa699a in QThreadPrivate::start (arg=0x560c2183b9b0) at thread/qthread_unix.cpp:341
#8  0x00007fa89c2985ca in start_thread (arg=0x7fa7f561b700) at pthread_create.c:333
#9  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 18 (Thread 0x7fa7f5e1c700 (LWP 3789)):
#0  0x00007fa89b057a43 in g_source_iter_next (iter=iter@entry=0x7fa7f5e1bac0, source=source@entry=0x7fa7f5e1bab8) at gmain.c:952
#1  0x00007fa89b05a354 in g_main_context_check (context=context@entry=0x7fa7e8000990, max_priority=2147483647, fds=fds@entry=0x7fa7e8002e20, n_fds=n_fds@entry=1) at gmain.c:3661
#2  0x00007fa89b05a9a4 in g_main_context_iterate (context=context@entry=0x7fa7e8000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3837
#3  0x00007fa89b05ab1c in g_main_context_iteration (context=0x7fa7e8000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007fa8a2c9424b in QEventDispatcherGlib::processEvents (this=0x7fa7e80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007fa8a2c435ea in QEventLoop::exec (this=this@entry=0x7fa7f5e1bc80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fa8a2aa2343 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#7  0x00007fa8a2aa699a in QThreadPrivate::start (arg=0x560c2272e670) at thread/qthread_unix.cpp:341
#8  0x00007fa89c2985ca in start_thread (arg=0x7fa7f5e1c700) at pthread_create.c:333
#9  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 17 (Thread 0x7fa7f661d700 (LWP 3787)):
#0  0x00007fa89b09ea09 in g_mutex_lock (mutex=mutex@entry=0x7fa7e4000990) at gthread-posix.c:1335
#1  0x00007fa89b05a42c in g_main_context_check (context=context@entry=0x7fa7e4000990, max_priority=2147483647, fds=fds@entry=0x7fa7e4003220, n_fds=n_fds@entry=1) at gmain.c:3683
#2  0x00007fa89b05a9a4 in g_main_context_iterate (context=context@entry=0x7fa7e4000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3837
#3  0x00007fa89b05ab1c in g_main_context_iteration (context=0x7fa7e4000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007fa8a2c9424b in QEventDispatcherGlib::processEvents (this=0x7fa7e40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007fa8a2c435ea in QEventLoop::exec (this=this@entry=0x7fa7f661cc80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fa8a2aa2343 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#7  0x00007fa8a2aa699a in QThreadPrivate::start (arg=0x560c21322b10) at thread/qthread_unix.cpp:341
#8  0x00007fa89c2985ca in start_thread (arg=0x7fa7f661d700) at pthread_create.c:333
#9  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 16 (Thread 0x7fa7f6e1e700 (LWP 3785)):
#0  0x00007fa8a1e803ed in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fa89b05aa06 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7fa7ec002e20, timeout=<optimized out>, context=0x7fa7ec000990) at gmain.c:4135
#2  g_main_context_iterate (context=context@entry=0x7fa7ec000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
#3  0x00007fa89b05ab1c in g_main_context_iteration (context=0x7fa7ec000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007fa8a2c9424b in QEventDispatcherGlib::processEvents (this=0x7fa7ec0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007fa8a2c435ea in QEventLoop::exec (this=this@entry=0x7fa7f6e1dc80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fa8a2aa2343 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#7  0x00007fa8a2aa699a in QThreadPrivate::start (arg=0x560c21cb5c50) at thread/qthread_unix.cpp:341
#8  0x00007fa89c2985ca in start_thread (arg=0x7fa7f6e1e700) at pthread_create.c:333
#9  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 15 (Thread 0x7fa7fee27700 (LWP 3301)):
#0  0x00007fa8a1e803ed in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fa89b05aa06 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7fa7f0003020, timeout=<optimized out>, context=0x7fa7f0000990) at gmain.c:4135
#2  g_main_context_iterate (context=context@entry=0x7fa7f0000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
#3  0x00007fa89b05ab1c in g_main_context_iteration (context=0x7fa7f0000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007fa8a2c9424b in QEventDispatcherGlib::processEvents (this=0x7fa7f00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007fa8a2c435ea in QEventLoop::exec (this=this@entry=0x7fa7fee26c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fa8a2aa2343 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#7  0x00007fa8a2aa699a in QThreadPrivate::start (arg=0x560c215dd380) at thread/qthread_unix.cpp:341
#8  0x00007fa89c2985ca in start_thread (arg=0x7fa7fee27700) at pthread_create.c:333
#9  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 14 (Thread 0x7fa7ff628700 (LWP 3300)):
#0  0x00007fa89b09ea09 in g_mutex_lock (mutex=mutex@entry=0x7fa7f8000990) at gthread-posix.c:1335
#1  0x00007fa89b05a1a1 in g_main_context_query (context=context@entry=0x7fa7f8000990, max_priority=2147483647, timeout=timeout@entry=0x7fa7ff627b44, fds=fds@entry=0x7fa7f8003020, n_fds=n_fds@entry=2) at gmain.c:3544
#2  0x00007fa89b05a978 in g_main_context_iterate (context=context@entry=0x7fa7f8000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3822
#3  0x00007fa89b05ab1c in g_main_context_iteration (context=0x7fa7f8000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007fa8a2c9424b in QEventDispatcherGlib::processEvents (this=0x7fa7f80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007fa8a2c435ea in QEventLoop::exec (this=this@entry=0x7fa7ff627c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fa8a2aa2343 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#7  0x00007fa8a2aa699a in QThreadPrivate::start (arg=0x560c21449c80) at thread/qthread_unix.cpp:341
#8  0x00007fa89c2985ca in start_thread (arg=0x7fa7ff628700) at pthread_create.c:333
#9  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 13 (Thread 0x7fa821ffb700 (LWP 3001)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa8a024c203 in JSC::GCThread::waitForNextPhase (this=this@entry=0x560c2183e090) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/JavaScriptCore/heap/GCThread.cpp:81
#2  0x00007fa8a024c290 in JSC::GCThread::gcThreadMain (this=0x560c2183e090) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/JavaScriptCore/heap/GCThread.cpp:99
#3  0x00007fa8a0552531 in WTF::wtfThreadEntryPoint (param=0x7fa8800a2380) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/WTF/wtf/ThreadingPthreads.cpp:195
#4  0x00007fa89c2985ca in start_thread (arg=0x7fa821ffb700) at pthread_create.c:333
#5  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 12 (Thread 0x7fa8227fc700 (LWP 3000)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa8a024c203 in JSC::GCThread::waitForNextPhase (this=this@entry=0x560c217a0230) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/JavaScriptCore/heap/GCThread.cpp:81
#2  0x00007fa8a024c290 in JSC::GCThread::gcThreadMain (this=0x560c217a0230) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/JavaScriptCore/heap/GCThread.cpp:99
#3  0x00007fa8a0552531 in WTF::wtfThreadEntryPoint (param=0x7fa8800a23a0) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/WTF/wtf/ThreadingPthreads.cpp:195
#4  0x00007fa89c2985ca in start_thread (arg=0x7fa8227fc700) at pthread_create.c:333
#5  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 11 (Thread 0x7fa822ffd700 (LWP 2999)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa8a024c203 in JSC::GCThread::waitForNextPhase (this=this@entry=0x560c21db93c0) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/JavaScriptCore/heap/GCThread.cpp:81
#2  0x00007fa8a024c290 in JSC::GCThread::gcThreadMain (this=0x560c21db93c0) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/JavaScriptCore/heap/GCThread.cpp:99
#3  0x00007fa8a0552531 in WTF::wtfThreadEntryPoint (param=0x7fa8800a23c0) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/WTF/wtf/ThreadingPthreads.cpp:195
#4  0x00007fa89c2985ca in start_thread (arg=0x7fa822ffd700) at pthread_create.c:333
#5  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 10 (Thread 0x7fa8237fe700 (LWP 2998)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa8a024c203 in JSC::GCThread::waitForNextPhase (this=this@entry=0x560c215bcfb0) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/JavaScriptCore/heap/GCThread.cpp:81
#2  0x00007fa8a024c290 in JSC::GCThread::gcThreadMain (this=0x560c215bcfb0) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/JavaScriptCore/heap/GCThread.cpp:99
#3  0x00007fa8a0552531 in WTF::wtfThreadEntryPoint (param=0x7fa8800a23e0) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/WTF/wtf/ThreadingPthreads.cpp:195
#4  0x00007fa89c2985ca in start_thread (arg=0x7fa8237fe700) at pthread_create.c:333
#5  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 9 (Thread 0x7fa823fff700 (LWP 2997)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa8a024c203 in JSC::GCThread::waitForNextPhase (this=this@entry=0x560c21ce6350) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/JavaScriptCore/heap/GCThread.cpp:81
#2  0x00007fa8a024c290 in JSC::GCThread::gcThreadMain (this=0x560c21ce6350) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/JavaScriptCore/heap/GCThread.cpp:99
#3  0x00007fa8a0552531 in WTF::wtfThreadEntryPoint (param=0x7fa8800a2080) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/WTF/wtf/ThreadingPthreads.cpp:195
#4  0x00007fa89c2985ca in start_thread (arg=0x7fa823fff700) at pthread_create.c:333
#5  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7fa8289e0700 (LWP 2996)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa8a024c203 in JSC::GCThread::waitForNextPhase (this=this@entry=0x560c21a66cf0) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/JavaScriptCore/heap/GCThread.cpp:81
#2  0x00007fa8a024c290 in JSC::GCThread::gcThreadMain (this=0x560c21a66cf0) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/JavaScriptCore/heap/GCThread.cpp:99
#3  0x00007fa8a0552531 in WTF::wtfThreadEntryPoint (param=0x7fa8800a2140) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/WTF/wtf/ThreadingPthreads.cpp:195
#4  0x00007fa89c2985ca in start_thread (arg=0x7fa8289e0700) at pthread_create.c:333
#5  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7fa8339b0700 (LWP 2995)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa8a024b3bc in JSC::BlockAllocator::blockFreeingThreadMain (this=0x7fa880100058) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/JavaScriptCore/heap/BlockAllocator.cpp:139
#2  0x00007fa8a0552531 in WTF::wtfThreadEntryPoint (param=0x7fa8800a21b0) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/WTF/wtf/ThreadingPthreads.cpp:195
#3  0x00007fa89c2985ca in start_thread (arg=0x7fa8339b0700) at pthread_create.c:333
#4  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7fa830dc8700 (LWP 2962)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa8321f59a3 in cnd_wait (mtx=0x560c214fb840, cond=0x560c214fb868) at ../../../../../include/c11/threads_posix.h:159
#2  pipe_semaphore_wait (sema=0x560c214fb840) at ../../../../../src/gallium/auxiliary/os/os_thread.h:259
#3  radeon_drm_cs_emit_ioctl (param=param@entry=0x560c214fb3f0) at radeon_drm_winsys.c:710
#4  0x00007fa8321f50e7 in impl_thrd_routine (p=<optimized out>) at ../../../../../include/c11/threads_posix.h:87
#5  0x00007fa89c2985ca in start_thread (arg=0x7fa830dc8700) at pthread_create.c:333
#6  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7fa833158700 (LWP 2953)):
#0  g_mutex_unlock (mutex=0x7fa82c000990) at gthread-posix.c:1347
#1  0x00007fa89b059f4c in g_main_context_prepare (context=context@entry=0x7fa82c000990, priority=priority@entry=0x7fa833157b40) at gmain.c:3440
#2  0x00007fa89b05a92b in g_main_context_iterate (context=context@entry=0x7fa82c000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3820
#3  0x00007fa89b05ab1c in g_main_context_iteration (context=0x7fa82c000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007fa8a2c9424b in QEventDispatcherGlib::processEvents (this=0x7fa82c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007fa8a2c435ea in QEventLoop::exec (this=this@entry=0x7fa833157c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fa8a2aa2343 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#7  0x00007fa8a2aa699a in QThreadPrivate::start (arg=0x560c214b0b50) at thread/qthread_unix.cpp:341
#8  0x00007fa89c2985ca in start_thread (arg=0x7fa833158700) at pthread_create.c:333
#9  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7fa878ec0700 (LWP 2867)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa8a052ac96 in WTF::TCMalloc_PageHeap::scavengerThread (this=0x7fa8a0db36c0 <WTF::pageheap_memory>) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/WTF/wtf/FastMalloc.cpp:2821
#2  0x00007fa8a052acb9 in WTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at /usr/src/debug/qtwebkit-opensource-src-5.6.1/Source/WTF/wtf/FastMalloc.cpp:1989
#3  0x00007fa89c2985ca in start_thread (arg=0x7fa878ec0700) at pthread_create.c:333
#4  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7fa87a0d8700 (LWP 2800)):
#0  0x00007ffe5e1cbb6f in clock_gettime ()
#1  0x00007fa8a1e9a4e6 in __GI___clock_gettime (clock_id=1, tp=tp@entry=0x7fa87a0d7990) at ../sysdeps/unix/clock_gettime.c:115
#2  0x00007fa8a2b42ab3 in qt_clock_gettime (ts=0x7fa87a0d7990, clock=<optimized out>) at tools/qelapsedtimer_unix.cpp:105
#3  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at tools/qelapsedtimer_unix.cpp:156
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:165
#5  0x00007fa8a2c92869 in QTimerInfoList::updateCurrentTime (this=this@entry=0x7fa874002ed0) at kernel/qtimerinfo_unix.cpp:84
#6  0x00007fa8a2c92c65 in QTimerInfoList::timerWait (this=0x7fa874002ed0, tm=...) at kernel/qtimerinfo_unix.cpp:381
#7  0x00007fa8a2c93dac in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7fa87a0d7a74) at kernel/qeventdispatcher_glib.cpp:126
#8  0x00007fa8a2c93e75 in timerSourcePrepare (source=<optimized out>, timeout=timeout@entry=0x7fa87a0d7a74) at kernel/qeventdispatcher_glib.cpp:159
#9  0x00007fa89b059f59 in g_main_context_prepare (context=context@entry=0x7fa874000990, priority=priority@entry=0x7fa87a0d7b00) at gmain.c:3442
#10 0x00007fa89b05a92b in g_main_context_iterate (context=context@entry=0x7fa874000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3820
#11 0x00007fa89b05ab1c in g_main_context_iteration (context=0x7fa874000990, may_block=may_block@entry=1) at gmain.c:3901
#12 0x00007fa8a2c9424b in QEventDispatcherGlib::processEvents (this=0x7fa8740008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#13 0x00007fa8a2c435ea in QEventLoop::exec (this=this@entry=0x7fa87a0d7c40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#14 0x00007fa8a2aa2343 in QThread::exec (this=this@entry=0x7fa8a2f13060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:500
#15 0x00007fa8a2e9e559 in QDBusConnectionManager::run (this=0x7fa8a2f13060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:189
#16 0x00007fa8a2aa699a in QThreadPrivate::start (arg=0x7fa8a2f13060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:341
#17 0x00007fa89c2985ca in start_thread (arg=0x7fa87a0d8700) at pthread_create.c:333
#18 0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7fa882668700 (LWP 2645)):
#0  0x00007fa8a1e803ed in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fa89cdeaf80 in poll (__timeout=-1, __nfds=1, __fds=0x7fa882667b80) at /usr/include/bits/poll2.h:46
#2  _xcb_conn_wait (c=c@entry=0x560c213009f0, cond=cond@entry=0x560c21300a30, vector=vector@entry=0x0, count=count@entry=0x0) at xcb_conn.c:459
#3  0x00007fa89cdecb79 in xcb_wait_for_event (c=0x560c213009f0) at xcb_in.c:693
#4  0x00007fa8854a3da9 in QXcbEventReader::run (this=0x560c21313a40) at qxcbconnection.cpp:1325
#5  0x00007fa8a2aa699a in QThreadPrivate::start (arg=0x560c21313a40) at thread/qthread_unix.cpp:341
#6  0x00007fa89c2985ca in start_thread (arg=0x7fa882668700) at pthread_create.c:333
#7  0x00007fa8a1e8bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7fa8a56cb940 (LWP 2583)):
[KCrash Handler]
#6  __memcpy_sse2_unaligned () at ../sysdeps/x86_64/multiarch/memcpy-sse2-unaligned.S:35
#7  0x00007fa7f746a3fe in c4_Column::CopyData (this=this@entry=0x560c228dca68, to_=to_@entry=45056, from_=from_@entry=49152, count_=973) at /usr/src/debug/kdepim-16.04.3/akregator/plugins/mk4storage/metakit/src/column.cpp:333
#8  0x00007fa7f746ab78 in c4_Column::Grow (this=0x560c228dca68, off_=<optimized out>, diff_=diff_@entry=7) at /usr/src/debug/kdepim-16.04.3/akregator/plugins/mk4storage/metakit/src/column.cpp:607
#9  0x00007fa7f7472a5c in c4_FormatB::SetOne (this=0x560c228dca50, index_=1051, xbuf_=..., ignoreMemos_=ignoreMemos_@entry=false) at /usr/src/debug/kdepim-16.04.3/akregator/plugins/mk4storage/metakit/src/format.cpp:657
#10 0x00007fa7f7473532 in c4_FormatS::Set (this=<optimized out>, index_=<optimized out>, buf_=...) at /usr/src/debug/kdepim-16.04.3/akregator/plugins/mk4storage/metakit/src/format.cpp:929
#11 0x00007fa7f74827c3 in c4_Sequence::Set (this=<optimized out>, index_=1051, prop_=..., buf_=...) at /usr/src/debug/kdepim-16.04.3/akregator/plugins/mk4storage/metakit/src/viewx.cpp:377
#12 0x00007fa7f747a8a8 in c4_HashViewer::SetItem (this=0x560c228ea100, row_=1051, col_=1, buf_=...) at /usr/src/debug/kdepim-16.04.3/akregator/plugins/mk4storage/metakit/src/remap.cpp:410
#13 0x00007fa7f7481fa5 in c4_Sequence::SetAt (this=0x560c228ea1b0, index_=index_@entry=1051, newElem_=...) at /usr/src/debug/kdepim-16.04.3/akregator/plugins/mk4storage/metakit/src/viewx.cpp:115
#14 0x00007fa7f7486832 in c4_View::SetAt (newElem_=..., index_=1051, this=<optimized out>) at /usr/src/debug/kdepim-16.04.3/akregator/plugins/mk4storage/metakit/include/mk4.inl:88
#15 Akregator::Backend::FeedStorageMK4Impl::setTitle (this=0x560c22747eb0, guid=..., title=...) at /usr/src/debug/kdepim-16.04.3/akregator/plugins/mk4storage/feedstoragemk4impl.cpp:479
#16 0x00007fa7f7ba3831 in Akregator::Article::Private::Private (this=0x560c23016ff0, article=..., feed_=<optimized out>, archive_=<optimized out>) at /usr/src/debug/kdepim-16.04.3/akregator/src/article.cpp:197
#17 0x00007fa7f7ba48e4 in Akregator::Article::Article (this=0x7ffe5e096ad0, article=..., feed=0x560c228da920) at /usr/src/debug/kdepim-16.04.3/akregator/src/article.cpp:260
#18 0x00007fa7f7ba9b60 in Akregator::Feed::appendArticles (this=this@entry=0x560c228da920, feed=...) at /usr/src/debug/kdepim-16.04.3/akregator/src/feed/feed.cpp:562
#19 0x00007fa7f7baab89 in Akregator::Feed::fetchCompleted (this=0x560c228da920, l=<optimized out>, doc=..., status=<optimized out>) at /usr/src/debug/kdepim-16.04.3/akregator/src/feed/feed.cpp:741
#20 0x00007fa7f7bc6b36 in Akregator::Feed::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/kdepim-16.04.3/x86_64-redhat-linux-gnu/akregator/src/moc_feed.cpp:139
#21 0x00007fa8a2c6cb92 in QMetaObject::activate (sender=0x560c22f1d090, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3730
#22 0x00007fa7f7931362 in Syndication::Loader::loadingComplete(Syndication::Loader*, QSharedPointer<Syndication::Feed>, Syndication::ErrorCode) () from /lib64/libKF5Syndication.so.5
#23 0x00007fa7f792e918 in Syndication::Loader::slotRetrieverDone(QByteArray const&, bool) () from /lib64/libKF5Syndication.so.5
#24 0x00007fa8a2c6cebc in QtPrivate::QSlotObjectBase::call (a=0x7ffe5e096f20, r=0x560c22f1d090, this=<optimized out>) at ../../src/corelib/kernel/qobject_impl.h:124
#25 QMetaObject::activate (sender=0x560c22fbe3b0, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3715
#26 0x00007fa7f79312a3 in Syndication::DataRetriever::dataRetrieved(QByteArray const&, bool) () from /lib64/libKF5Syndication.so.5
#27 0x00007fa7f79261ab in Syndication::FileRetriever::slotResult(KJob*) () from /lib64/libKF5Syndication.so.5
#28 0x00007fa8a2c6cebc in QtPrivate::QSlotObjectBase::call (a=0x7ffe5e0970a0, r=0x560c22fbe3b0, this=<optimized out>) at ../../src/corelib/kernel/qobject_impl.h:124
#29 QMetaObject::activate (sender=sender@entry=0x560c22f50120, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7ffe5e0970a0) at kernel/qobject.cpp:3715
#30 0x00007fa8a2c6d3b7 in QMetaObject::activate (sender=sender@entry=0x560c22f50120, m=m@entry=0x7fa8a41bffa0 <KJob::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7ffe5e0970a0) at kernel/qobject.cpp:3595
#31 0x00007fa8a3f6d722 in KJob::result (this=this@entry=0x560c22f50120, _t1=<optimized out>, _t1@entry=0x560c22f50120) at /usr/src/debug/kcoreaddons-5.25.0/x86_64-redhat-linux-gnu/src/lib/moc_kjob.cpp:568
#32 0x00007fa8a3f6f061 in KJob::finishJob (this=this@entry=0x560c22f50120, emitResult=emitResult@entry=true) at /usr/src/debug/kcoreaddons-5.25.0/src/lib/jobs/kjob.cpp:109
#33 0x00007fa8a3f7100a in KJob::emitResult (this=this@entry=0x560c22f50120) at /usr/src/debug/kcoreaddons-5.25.0/src/lib/jobs/kjob.cpp:293
#34 0x00007fa8a68895d2 in KIO::SimpleJob::slotFinished (this=this@entry=0x560c22f50120) at /usr/src/debug/kio-5.25.0/src/core/simplejob.cpp:230
#35 0x00007fa8a6893db6 in KIO::TransferJob::slotFinished (this=0x560c22f50120) at /usr/src/debug/kio-5.25.0/src/core/transferjob.cpp:166
#36 0x00007fa8a6893531 in KIO::TransferJob::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/kio-5.25.0/x86_64-redhat-linux-gnu/src/core/moc_transferjob.cpp:155
#37 0x00007fa8a2c6cb92 in QMetaObject::activate (sender=sender@entry=0x560c22774b70, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=4, argv=argv@entry=0x0) at kernel/qobject.cpp:3730
#38 0x00007fa8a2c6d3b7 in QMetaObject::activate (sender=sender@entry=0x560c22774b70, m=m@entry=0x7fa8a6b34760 <KIO::SlaveInterface::staticMetaObject>, local_signal_index=local_signal_index@entry=4, argv=argv@entry=0x0) at kernel/qobject.cpp:3595
#39 0x00007fa8a6861693 in KIO::SlaveInterface::finished (this=this@entry=0x560c22774b70) at /usr/src/debug/kio-5.25.0/x86_64-redhat-linux-gnu/src/core/moc_slaveinterface.cpp:424
#40 0x00007fa8a6863641 in KIO::SlaveInterface::dispatch (this=0x560c22774b70, _cmd=<optimized out>, rawdata=...) at /usr/src/debug/kio-5.25.0/src/core/slaveinterface.cpp:160
#41 0x00007fa8a6861c87 in KIO::SlaveInterface::dispatch (this=0x560c22774b70) at /usr/src/debug/kio-5.25.0/src/core/slaveinterface.cpp:89
#42 0x00007fa8a6866d91 in KIO::Slave::gotInput (this=0x560c22774b70) at /usr/src/debug/kio-5.25.0/src/core/slave.cpp:398
#43 0x00007fa8a68f09b5 in KIO::Slave::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/kio-5.25.0/x86_64-redhat-linux-gnu/src/core/moc_slave.cpp:87
#44 0x00007fa8a2c6cb92 in QMetaObject::activate (sender=0x560c21e17330, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3730
#45 0x00007fa8a2c6d3b7 in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7fa8a6b334c0 <KIO::Connection::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3595
#46 0x00007fa8a6802a1f in KIO::Connection::readyRead (this=<optimized out>) at /usr/src/debug/kio-5.25.0/x86_64-redhat-linux-gnu/src/core/moc_connection_p.cpp:142
#47 KIO::ConnectionPrivate::dequeue (this=0x560c229ef580) at /usr/src/debug/kio-5.25.0/src/core/connection.cpp:45
#48 0x00007fa8a2c6dbd9 in QObject::event (this=0x560c21e17330, e=<optimized out>) at kernel/qobject.cpp:1256
#49 0x00007fa8a37bdc0c in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x560c21e17330, e=0x560c22fd76c0) at kernel/qapplication.cpp:3804
#50 0x00007fa8a37c30ef in QApplication::notify (this=0x7ffe5e097f50, receiver=0x560c21e17330, e=0x560c22fd76c0) at kernel/qapplication.cpp:3561
#51 0x00007fa8a2c447aa in QCoreApplication::notifyInternal2 (receiver=0x560c21e17330, event=event@entry=0x560c22fd76c0) at kernel/qcoreapplication.cpp:1015
#52 0x00007fa8a2c4684f in QCoreApplication::sendEvent (event=0x560c22fd76c0, receiver=<optimized out>) at kernel/qcoreapplication.h:225
#53 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x560c212ec8c0) at kernel/qcoreapplication.cpp:1650
#54 0x00007fa8a2c46d68 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1508
#55 0x00007fa8a2c941b3 in postEventSourceDispatch (s=0x560c21338c90) at kernel/qeventdispatcher_glib.cpp:270
#56 0x00007fa89b05a6ba in g_main_dispatch (context=0x7fa87c0016f0) at gmain.c:3154
#57 g_main_context_dispatch (context=context@entry=0x7fa87c0016f0) at gmain.c:3769
#58 0x00007fa89b05aa70 in g_main_context_iterate (context=context@entry=0x7fa87c0016f0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3840
#59 0x00007fa89b05ab1c in g_main_context_iteration (context=0x7fa87c0016f0, may_block=may_block@entry=1) at gmain.c:3901
#60 0x00007fa8a2c9422f in QEventDispatcherGlib::processEvents (this=0x560c213493d0, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#61 0x00007fa8a2c435ea in QEventLoop::exec (this=this@entry=0x7ffe5e097cb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#62 0x00007fa8a2c4b17c in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1285
#63 0x0000560c1f5f747f in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/kdepim-16.04.3/kontact/src/main.cpp:223

Reported using DrKonqi
Comment 1 Andrei Slavoiu 2016-11-22 23:17:59 UTC
Created attachment 102400 [details]
New crash information added by DrKonqi

kontact (4.14.10) on KDE Platform 4.14.26 using Qt 4.8.7

- What I was doing when the application crashed:

Just rebooted my computer and as soon as akregator refreshed the feeds it crashed

-- Backtrace (Reduced):
#6  __memcpy_sse2_unaligned () at ../sysdeps/x86_64/multiarch/memcpy-sse2-unaligned.S:35
#7  0x00007f097021648f in c4_Column::CopyData (this=this@entry=0x14f3f1b8, to_=to_@entry=15278080, from_=from_@entry=15282176, count_=190) at /usr/src/debug/kde-apps/akregator-4.14.11_pre20160211/akregator-4.14.11_pre20160211/akregator/plugins/mk4storage/metakit/src/column.cpp:304
#8  0x00007f0970216bd7 in c4_Column::Grow (this=0x14f3f1b8, off_=<optimized out>, diff_=diff_@entry=99) at /usr/src/debug/kde-apps/akregator-4.14.11_pre20160211/akregator-4.14.11_pre20160211/akregator/plugins/mk4storage/metakit/src/column.cpp:555
#9  0x00007f097021ddde in c4_FormatB::SetOne (this=0x14f3f1a0, index_=5654, xbuf_=..., ignoreMemos_=ignoreMemos_@entry=false) at /usr/src/debug/kde-apps/akregator-4.14.11_pre20160211/akregator-4.14.11_pre20160211/akregator/plugins/mk4storage/metakit/src/format.cpp:607
#10 0x00007f097021e7f9 in c4_FormatS::Set (this=<optimized out>, index_=<optimized out>, buf_=...) at /usr/src/debug/kde-apps/akregator-4.14.11_pre20160211/akregator-4.14.11_pre20160211/akregator/plugins/mk4storage/metakit/src/format.cpp:862
Comment 2 Andrei Slavoiu 2016-12-15 22:06:43 UTC
I finally found out what caused the crash in my case. I was trying to update this feed: http://news.bbc.co.uk/rss/newsonline_world_edition/technology/rss.xml

Just adding that feed in akregator causes an instant crash.
Comment 3 Justin Zobel 2020-12-17 05:25:20 UTC
Thank you for the crash report.

As it has been a while since this was reported, can you please test and confirm if this issue is still occurring or if this bug report can be marked as resolved.

I have set the bug status to "needsinfo" pending your response, please change back to "reported" or "resolved/worksforme" when you respond, thank you.
Comment 4 Bug Janitor Service 2021-01-01 04:35:48 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 5 Bug Janitor Service 2021-01-16 04:34:56 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!